Show shortcuts in tooltip texts where possible
Changes PlannedPublic

Authored by kfunk on Feb 20 2017, 11:25 PM.

Details

Reviewers
mwolff
Group Reviewers
KDevelop
Summary

Provide a helper class for this: ActionToolTipModifier, which operates
on a KActionCollection instance.

Diff Detail

Repository
R33 KDevPlatform
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
kfunk created this revision.Feb 20 2017, 11:25 PM
Restricted Application added a subscriber: kdevelop-devel. · View Herald TranscriptFeb 20 2017, 11:25 PM
kfunk updated this revision to Diff 11572.Feb 20 2017, 11:32 PM

Remove unneeded include

apol added a subscriber: apol.Feb 21 2017, 1:46 AM

Why export it put it in util? We won't be using this elsewhere, right?

kfunk planned changes to this revision.Feb 21 2017, 2:11 AM
In D4697#88129, @apol wrote:

Why export it put it in util? We won't be using this elsewhere, right?

True. I've used this class outside of shell/ before, then refactored. Doesn't make sense anymore to export it now.

Thanks!

Way better than my approach. I'm closing my diff.

kfunk updated this revision to Diff 11577.Feb 21 2017, 8:47 AM

Address Aleix' concerns

mwolff accepted this revision.Feb 21 2017, 8:51 AM
mwolff added a subscriber: mwolff.

lgtm

This revision is now accepted and ready to land.Feb 21 2017, 8:51 AM
kfunk planned changes to this revision.Feb 21 2017, 9:20 AM

There are some problems with plugin shortcut tool tips not updating properly. Investigating... Sigh.

This seems generally useful. Would it make sense to put it in KF5?

kfunk added a comment.Feb 28 2017, 7:38 AM

@nalvarez Once it works, maybe.